> ## Documentation Index
> Fetch the complete documentation index at: https://docs.craveup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View a customer catering event



## OpenAPI

````yaml /generated/storefront.openapi.json get /locations/{locationId}/catering/events/{eventId}
openapi: 3.0.3
info:
  title: Crave Storefront API
  version: 2.0.0
  description: >-
    Direct public Storefront API. Anonymous catalog reads require no API key.
    Protected resources use purpose-limited cart, checkout, receipt, or customer
    credentials.
  contact:
    name: Crave Support
    email: hello@craveup.com
servers:
  - url: https://api.craveup.com/api/v1/storefront
    description: Production Storefront API
  - url: https://sandbox-api.craveup.com/api/v1/storefront
    description: Sandbox Storefront API
security: []
tags:
  - name: Customer Auth
  - name: Catering
  - name: Loyalty
  - name: Merchants
  - name: Locations
  - name: Ordering Sessions
  - name: Menus
  - name: Products
  - name: Carts
  - name: Analytics
  - name: Checkout
  - name: Cart Items
  - name: Discounts
  - name: Customers
  - name: Orders
paths:
  /locations/{locationId}/catering/events/{eventId}:
    get:
      tags:
        - Catering
      summary: View a customer catering event
      operationId: getCateringEvent
      parameters:
        - name: locationId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 128
        - name: eventId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 128
      responses:
        '200':
          description: View a customer catering event.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CateringCustomerViewResponse'
        '400':
          description: The request is invalid.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '401':
          description: Authentication or capability authorization is required.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '403':
          description: The authenticated principal does not own this resource.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '404':
          description: The requested resource was not found.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '429':
          description: The request was rate limited.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '500':
          description: An unexpected error occurred.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '503':
          description: A required dependency is temporarily unavailable.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
      security:
        - StorefrontCateringCapability: []
components:
  schemas:
    CateringCustomerViewResponse:
      type: object
      properties:
        restaurantContact:
          type: object
          properties:
            phone:
              nullable: true
              type: string
            email:
              nullable: true
              type: string
          required:
            - phone
            - email
          additionalProperties: false
        event:
          type: object
          properties:
            reference:
              type: string
            revision:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            status:
              type: string
              enum:
                - enquiry
                - quoted
                - confirmed
                - locked
                - completed
                - declined
                - expired
                - cancelled
            eventDate:
              type: string
              pattern: ^\d{4}-\d{2}-\d{2}$
            serviceTime:
              type: string
              pattern: ^([01]\d|2[0-3]):[0-5]\d$
            headcount:
              type: object
              properties:
                guests:
                  type: integer
                  minimum: 1
                  maximum: 9007199254740991
                approximate:
                  type: boolean
              required:
                - guests
                - approximate
              additionalProperties: false
            serviceStyle:
              type: string
              enum:
                - pickup
                - drop_off
                - drop_off_with_setup
            serviceAddress:
              nullable: true
              type: string
            locationName:
              type: string
            timezone:
              type: string
            currency:
              type: string
          required:
            - reference
            - revision
            - status
            - eventDate
            - serviceTime
            - headcount
            - serviceStyle
            - serviceAddress
            - locationName
            - timezone
            - currency
          additionalProperties: false
        quote:
          anyOf:
            - $ref: '#/components/schemas/CateringCustomerQuoteResponse'
            - type: string
              nullable: true
              enum:
                - null
        terms:
          nullable: true
          type: object
          properties:
            changeCutoffHours:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            balanceDue:
              oneOf:
                - type: object
                  properties:
                    rule:
                      type: string
                      enum:
                        - at_cutoff
                  required:
                    - rule
                  additionalProperties: false
                - type: object
                  properties:
                    rule:
                      type: string
                      enum:
                        - event_day
                  required:
                    - rule
                  additionalProperties: false
                - type: object
                  properties:
                    rule:
                      type: string
                      enum:
                        - days_after_event
                    days:
                      type: integer
                      minimum: 1
                      maximum: 9007199254740991
                  required:
                    - rule
                    - days
                  additionalProperties: false
            quoteValidityDays:
              type: integer
              minimum: 0
              exclusiveMinimum: true
              maximum: 9007199254740991
            cancellationTerms:
              type: string
            lockAt:
              type: string
              format: date-time
              pattern: >-
                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
          required:
            - changeCutoffHours
            - balanceDue
            - quoteValidityDays
            - cancellationTerms
            - lockAt
          additionalProperties: false
        payments:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                minLength: 1
                maxLength: 128
              kind:
                type: string
                enum:
                  - deposit
                  - balance
                  - additional
              financialAdjustmentId:
                nullable: true
                type: string
                minLength: 1
                maxLength: 128
              status:
                type: string
                enum:
                  - pending
                  - paid
                  - expired
              total:
                nullable: true
                type: string
                pattern: ^-?\d+(?:\.\d+)?$
              currency:
                type: string
              paidAt:
                nullable: true
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
              receiptUrl:
                nullable: true
                type: string
              refundedTotal:
                nullable: true
                type: string
                pattern: ^-?\d+(?:\.\d+)?$
              refunds:
                type: array
                items:
                  type: object
                  properties:
                    amountMinor:
                      type: integer
                      minimum: 0
                      exclusiveMinimum: true
                      maximum: 9007199254740991
                    currency:
                      type: string
                      pattern: ^[A-Z]{3}$
                    state:
                      type: string
                      enum:
                        - pending
                        - reconciling
                        - refunded
                        - action_required
                        - failed
                    providerIssued:
                      default: false
                      type: boolean
                    accountingState:
                      default: pending
                      type: string
                      enum:
                        - pending
                        - reconciled
                        - action_required
                    reconciliationReason:
                      default: null
                      nullable: true
                      type: string
                  required:
                    - amountMinor
                    - currency
                    - state
                  additionalProperties: false
            required:
              - id
              - kind
              - status
              - total
              - currency
              - paidAt
              - receiptUrl
              - refundedTotal
              - refunds
            additionalProperties: false
        declined:
          nullable: true
          type: object
          properties:
            by:
              type: string
              enum:
                - restaurant
                - customer
            message:
              type: string
            at:
              type: string
              format: date-time
              pattern: >-
                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
          required:
            - by
            - message
            - at
          additionalProperties: false
        offer:
          anyOf:
            - $ref: '#/components/schemas/CateringAcceptanceOffer'
            - type: string
              nullable: true
              enum:
                - null
        balance:
          anyOf:
            - $ref: '#/components/schemas/CateringCustomerBalance'
            - type: string
              nullable: true
              enum:
                - null
        actions:
          type: object
          properties:
            canAccept:
              type: boolean
            canDecline:
              type: boolean
            unavailableReason:
              nullable: true
              type: string
              enum:
                - PAYMENT_IN_PROGRESS
                - RATES_CHANGED
                - PAYMENT_UNAVAILABLE
                - QUOTE_CLOSED
                - EVENT_TIME_REVIEW_REQUIRED
                - TAX_REVIEW_REQUIRED
                - TAX_MODE_UNSUPPORTED
          required:
            - canAccept
            - canDecline
            - unavailableReason
          additionalProperties: false
      required:
        - restaurantContact
        - event
        - quote
        - terms
        - payments
        - declined
        - offer
        - balance
        - actions
      additionalProperties: false
    CommerceErrorEnvelope:
      type: object
      properties:
        code:
          anyOf:
            - type: string
              enum:
                - VALIDATION_ERROR
                - UNAUTHORIZED
                - CUSTOMER_AUTH_CODE_REJECTED
                - FORBIDDEN
                - NOT_FOUND
                - RATE_LIMITED
                - CART_CONFLICT
                - REQUOTE_REQUIRED
                - RESOURCE_CONFLICT
                - CART_IMMUTABLE
                - IDEMPOTENCY_KEY_REQUIRED
                - IDEMPOTENCY_KEY_REUSED
                - IDEMPOTENCY_IN_PROGRESS
                - DEPENDENCY_UNAVAILABLE
                - INTERNAL_ERROR
            - type: string
              minLength: 1
        message:
          type: string
          minLength: 1
        requestId:
          type: string
          minLength: 8
        details:
          type: object
          additionalProperties: {}
      required:
        - code
        - message
        - requestId
      additionalProperties: false
    CateringCustomerQuoteResponse:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          maxLength: 128
        version:
          type: integer
          minimum: 0
          exclusiveMinimum: true
          maximum: 9007199254740991
        status:
          type: string
          enum:
            - sent
            - accepted
            - superseded
            - declined
            - expired
        lines:
          type: array
          items:
            type: object
            properties:
              source:
                nullable: true
                type: object
                properties:
                  menuId:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  locationId:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  channel:
                    type: string
                    enum:
                      - catering
                  kind:
                    type: string
                    enum:
                      - released
                  menuReleaseId:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                required:
                  - menuId
                  - locationId
                  - channel
                  - kind
                  - menuReleaseId
                additionalProperties: false
              kind:
                type: string
                enum:
                  - menu
                  - one_off
              lineId:
                type: string
                minLength: 1
                maxLength: 255
              productId:
                nullable: true
                type: string
              name:
                type: string
              unitPrice:
                type: string
                pattern: ^-?\d+(?:\.\d+)?$
              quantity:
                type: string
                pattern: ^(?:0|[1-9]\d{0,4})(?:\.\d{1,6})?$
              unit:
                type: string
                enum:
                  - person
                  - item
                  - dozen
                  - tray
                  - pack
                  - lb
                  - oz
                  - kg
                  - g
                  - gallon
                  - quart
                  - liter
                  - ml
                  - fl_oz
              note:
                nullable: true
                type: string
              lineTotal:
                type: string
                pattern: ^-?\d+(?:\.\d+)?$
              minimumSpendEligibility:
                type: string
                enum:
                  - food_beverage
                  - excluded
                  - unreviewed
              configuration:
                nullable: true
                type: object
                properties:
                  source:
                    type: object
                    properties:
                      menuId:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                      locationId:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                      channel:
                        type: string
                        enum:
                          - catering
                      kind:
                        type: string
                        enum:
                          - released
                      menuReleaseId:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                    required:
                      - menuId
                      - locationId
                      - channel
                      - kind
                      - menuReleaseId
                    additionalProperties: false
                  lineId:
                    type: string
                    minLength: 1
                    maxLength: 200
                  productId:
                    type: string
                    minLength: 1
                    maxLength: 200
                  selections:
                    maxItems: 50
                    type: array
                    items:
                      $ref: '#/components/schemas/SelectedModifierGroup'
                  quantity:
                    type: string
                    pattern: ^(?:0|[1-9]\d{0,4})(?:\.\d{1,6})?$
                  allocation:
                    $ref: '#/components/schemas/CateringCommercialAllocation'
                  dietaryPreferences:
                    allOf:
                      - $ref: >-
                          #/components/schemas/UpdateCartDietaryPreferencesRequest
                  requestedQuantity:
                    nullable: true
                    type: string
                    pattern: ^(?:0|[1-9]\d{0,4})(?:\.\d{1,6})?$
                  acceptedSelections:
                    maxItems: 50
                    type: array
                    items:
                      $ref: '#/components/schemas/AcceptedModifierGroup'
                  priceBasis:
                    type: string
                    enum:
                      - per_person
                      - per_item
                      - per_dozen
                      - per_tray
                      - per_pack
                      - per_lb
                      - per_oz
                      - per_kg
                      - per_g
                      - per_gallon
                      - per_quart
                      - per_liter
                      - per_ml
                      - per_fl_oz
                  unit:
                    type: string
                    enum:
                      - person
                      - item
                      - dozen
                      - tray
                      - pack
                      - lb
                      - oz
                      - kg
                      - g
                      - gallon
                      - quart
                      - liter
                      - ml
                      - fl_oz
                  planningYield:
                    anyOf:
                      - $ref: '#/components/schemas/CateringPlanningYield'
                      - type: string
                        nullable: true
                        enum:
                          - null
                  unitPrice:
                    $ref: '#/components/schemas/CateringAmount'
                  lineTotal:
                    $ref: '#/components/schemas/CateringAmount'
                  charges:
                    maxItems: 10000
                    type: array
                    items:
                      $ref: '#/components/schemas/CateringCalculatedCharge'
                  effectiveRules:
                    $ref: '#/components/schemas/CateringEffectiveRules'
                  food:
                    $ref: '#/components/schemas/ConfiguredFoodEvaluation'
                  explanation:
                    type: string
                required:
                  - source
                  - lineId
                  - productId
                  - selections
                  - quantity
                  - allocation
                  - requestedQuantity
                  - acceptedSelections
                  - priceBasis
                  - unit
                  - planningYield
                  - unitPrice
                  - lineTotal
                  - charges
                  - effectiveRules
                  - food
                  - explanation
                additionalProperties: false
              choicePresentation:
                oneOf:
                  - type: object
                    properties:
                      lineId:
                        type: string
                        minLength: 1
                        maxLength: 255
                      productId:
                        nullable: true
                        type: string
                        minLength: 1
                        maxLength: 255
                      source:
                        nullable: true
                        type: object
                        properties:
                          menuId:
                            type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          locationId:
                            type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          channel:
                            type: string
                            enum:
                              - catering
                          kind:
                            type: string
                            enum:
                              - released
                          menuReleaseId:
                            type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        required:
                          - menuId
                          - locationId
                          - channel
                          - kind
                          - menuReleaseId
                        additionalProperties: false
                      state:
                        type: string
                        enum:
                          - ready
                      choices:
                        maxItems: 50
                        type: array
                        items:
                          $ref: '#/components/schemas/CateringPresentationChoiceGroup'
                    required:
                      - lineId
                      - productId
                      - source
                      - state
                      - choices
                    additionalProperties: false
                  - type: object
                    properties:
                      lineId:
                        type: string
                        minLength: 1
                        maxLength: 255
                      productId:
                        nullable: true
                        type: string
                        minLength: 1
                        maxLength: 255
                      source:
                        nullable: true
                        type: object
                        properties:
                          menuId:
                            type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          locationId:
                            type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          channel:
                            type: string
                            enum:
                              - catering
                          kind:
                            type: string
                            enum:
                              - released
                          menuReleaseId:
                            type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        required:
                          - menuId
                          - locationId
                          - channel
                          - kind
                          - menuReleaseId
                        additionalProperties: false
                      state:
                        type: string
                        enum:
                          - unavailable
                      reason:
                        type: string
                        enum:
                          - menu_evidence_unavailable
                          - configuration_unavailable
                    required:
                      - lineId
                      - productId
                      - source
                      - state
                      - reason
                    additionalProperties: false
            required:
              - source
              - kind
              - lineId
              - productId
              - name
              - unitPrice
              - quantity
              - unit
              - note
              - lineTotal
              - minimumSpendEligibility
              - configuration
              - choicePresentation
            additionalProperties: false
        totals:
          type: object
          properties:
            subtotal:
              type: string
              pattern: ^-?\d+(?:\.\d+)?$
            discount:
              type: string
              pattern: ^-?\d+(?:\.\d+)?$
            taxRate:
              type: string
              pattern: ^-?\d+(?:\.\d+)?$
            taxTotal:
              type: string
              pattern: ^-?\d+(?:\.\d+)?$
            serviceFeeRate:
              type: string
              pattern: ^-?\d+(?:\.\d+)?$
            serviceFeeTotal:
              type: string
              pattern: ^-?\d+(?:\.\d+)?$
            total:
              type: string
              pattern: ^-?\d+(?:\.\d+)?$
            depositPercent:
              type: integer
              minimum: 0
              maximum: 100
            depositAmount:
              type: string
              pattern: ^-?\d+(?:\.\d+)?$
            depositTotal:
              type: string
              pattern: ^-?\d+(?:\.\d+)?$
            balanceAmount:
              type: string
              pattern: ^-?\d+(?:\.\d+)?$
            balanceTotal:
              type: string
              pattern: ^-?\d+(?:\.\d+)?$
          required:
            - subtotal
            - discount
            - taxRate
            - taxTotal
            - serviceFeeRate
            - serviceFeeTotal
            - total
            - depositPercent
            - depositAmount
            - depositTotal
            - balanceAmount
            - balanceTotal
          additionalProperties: false
        noteToCustomer:
          type: string
        eventSnapshot:
          type: object
          properties:
            eventDate:
              type: string
              pattern: ^\d{4}-\d{2}-\d{2}$
            serviceTime:
              type: string
              pattern: ^([01]\d|2[0-3]):[0-5]\d$
            headcount:
              type: object
              properties:
                guests:
                  type: integer
                  minimum: 1
                  maximum: 9007199254740991
                approximate:
                  type: boolean
              required:
                - guests
                - approximate
              additionalProperties: false
            serviceStyle:
              type: string
              enum:
                - pickup
                - drop_off
                - drop_off_with_setup
            serviceAddress:
              nullable: true
              type: string
            eventStartsAt:
              nullable: true
              type: string
              format: date-time
              pattern: >-
                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
            timeZone:
              nullable: true
              type: string
              minLength: 1
              maxLength: 100
          required:
            - eventDate
            - serviceTime
            - headcount
            - serviceStyle
            - serviceAddress
            - eventStartsAt
            - timeZone
          additionalProperties: false
        sentAt:
          nullable: true
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
        expiresAt:
          nullable: true
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
        acceptedAt:
          nullable: true
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
        createdAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
        updatedAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
      required:
        - id
        - version
        - status
        - lines
        - totals
        - noteToCustomer
        - eventSnapshot
        - sentAt
        - expiresAt
        - acceptedAt
        - createdAt
        - updatedAt
      additionalProperties: false
    CateringAcceptanceOffer:
      type: object
      properties:
        quoteId:
          type: string
          minLength: 1
          maxLength: 128
        eventRevision:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        kind:
          type: string
          enum:
            - deposit
            - full
            - none
        amount:
          type: string
          pattern: ^-?\d+(?:\.\d+)?$
        tax:
          type: string
          pattern: ^-?\d+(?:\.\d+)?$
        serviceFee:
          type: string
          pattern: ^-?\d+(?:\.\d+)?$
        total:
          type: string
          pattern: ^-?\d+(?:\.\d+)?$
        balanceTotal:
          type: string
          pattern: ^-?\d+(?:\.\d+)?$
        currency:
          type: string
          minLength: 1
        expiresAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
        offerFingerprint:
          type: string
          minLength: 1
      required:
        - quoteId
        - eventRevision
        - kind
        - amount
        - tax
        - serviceFee
        - total
        - balanceTotal
        - currency
        - expiresAt
        - offerFingerprint
      additionalProperties: false
    CateringCustomerBalance:
      type: object
      properties:
        total:
          type: string
          pattern: ^-?\d+(?:\.\d+)?$
        paidTotal:
          type: string
          pattern: ^-?\d+(?:\.\d+)?$
        outstandingTotal:
          type: string
          pattern: ^-?\d+(?:\.\d+)?$
        dueAt:
          nullable: true
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
        offer:
          anyOf:
            - $ref: '#/components/schemas/CateringBalanceOffer'
            - type: string
              nullable: true
              enum:
                - null
        unavailableReason:
          nullable: true
          type: string
          enum:
            - PAYMENT_IN_PROGRESS
            - REFUND_IN_REVIEW
            - PAYMENT_UNAVAILABLE
            - EVENT_CLOSED
            - FINANCIAL_REVIEW_REQUIRED
            - CREDIT_REVIEW_REQUIRED
      required:
        - total
        - paidTotal
        - outstandingTotal
        - dueAt
        - offer
        - unavailableReason
      additionalProperties: false
    SelectedModifierGroup:
      type: object
      properties:
        groupId:
          type: string
          minLength: 1
          maxLength: 128
        selectedOptions:
          minItems: 0
          maxItems: 50
          type: array
          items:
            type: object
            properties:
              optionId:
                type: string
                minLength: 1
                maxLength: 128
              quantity:
                type: integer
                minimum: 1
                maximum: 99
              children:
                maxItems: 20
                type: array
                items:
                  $ref: '#/components/schemas/SelectedModifierGroup'
            required:
              - optionId
              - quantity
            additionalProperties: false
      required:
        - groupId
        - selectedOptions
      additionalProperties: false
    CateringCommercialAllocation:
      nullable: true
      type: object
      properties:
        groupId:
          type: string
          minLength: 1
          maxLength: 200
        guests:
          type: integer
          minimum: 0
          exclusiveMinimum: true
          maximum: 10000
      required:
        - groupId
        - guests
      additionalProperties: false
    UpdateCartDietaryPreferencesRequest:
      type: object
      properties:
        preferences:
          maxItems: 2
          type: array
          items:
            type: string
            enum:
              - vegetarian
              - vegan
        avoidAllergenIds:
          maxItems: 14
          type: array
          items:
            type: string
            enum:
              - milk
              - egg
              - fish
              - crustacean_shellfish
              - tree_nuts
              - peanut
              - wheat
              - soy
              - sesame
              - celery
              - mustard
              - lupin
              - molluscs
              - sulphites
      required:
        - preferences
        - avoidAllergenIds
      additionalProperties: false
    AcceptedModifierGroup:
      type: object
      properties:
        groupId:
          type: string
          minLength: 1
          maxLength: 128
        selectedOptions:
          maxItems: 50
          type: array
          items:
            type: object
            properties:
              optionId:
                type: string
                minLength: 1
                maxLength: 128
              quantity:
                type: integer
                minimum: 0
                exclusiveMinimum: true
                maximum: 99
              selectionPath:
                minItems: 3
                maxItems: 41
                type: array
                items:
                  type: string
                  minLength: 1
                  maxLength: 128
              provenance:
                type: string
                enum:
                  - customer
                  - default
                  - fixed
              children:
                maxItems: 50
                type: array
                items:
                  $ref: '#/components/schemas/AcceptedModifierGroup'
            required:
              - optionId
              - quantity
              - selectionPath
              - provenance
              - children
            additionalProperties: false
      required:
        - groupId
        - selectedOptions
      additionalProperties: false
    CateringPlanningYield:
      type: object
      properties:
        guests:
          type: string
          pattern: ^(?:0|[1-9]\d{0,4})(?:\.\d{1,6})?$
        quantity:
          type: string
          pattern: ^(?:0|[1-9]\d{0,4})(?:\.\d{1,6})?$
        reviewNote:
          type: string
          minLength: 1
          maxLength: 2000
      required:
        - guests
        - quantity
        - reviewNote
      additionalProperties: false
    CateringAmount:
      type: object
      properties:
        minCents:
          type: integer
          minimum: 0
          maximum: 99999999
        maxCents:
          type: integer
          minimum: 0
          maximum: 99999999
      required:
        - minCents
        - maxCents
      additionalProperties: false
    CateringCalculatedCharge:
      type: object
      properties:
        chargeId:
          type: string
          minLength: 1
          maxLength: 200
        scope:
          type: string
          enum:
            - sold_unit
            - affected_person
            - order
        bucketId:
          type: string
          minLength: 1
          maxLength: 200
        selectionPath:
          maxItems: 41
          type: array
          items:
            type: string
            minLength: 1
            maxLength: 200
        quantity:
          type: string
          pattern: ^(?:0|[1-9]\d{0,5})(?:\.\d{1,6})?$
        unitPrice:
          $ref: '#/components/schemas/CateringAmount'
        lineTotal:
          $ref: '#/components/schemas/CateringAmount'
        minimumSpendEligibility:
          type: string
          enum:
            - food_beverage
            - excluded
            - unreviewed
        coveredByBucket:
          type: boolean
      required:
        - chargeId
        - scope
        - bucketId
        - selectionPath
        - quantity
        - unitPrice
        - lineTotal
        - minimumSpendEligibility
        - coveredByBucket
      additionalProperties: false
    CateringEffectiveRules:
      type: object
      properties:
        values:
          type: object
          properties:
            minimumGuests:
              type: integer
              minimum: 0
              exclusiveMinimum: true
              maximum: 10000
            maximumGuests:
              type: integer
              minimum: 0
              exclusiveMinimum: true
              maximum: 10000
            minimumUnits:
              type: string
              pattern: ^(?:0|[1-9]\d{0,4})(?:\.\d{1,6})?$
            maximumUnits:
              type: string
              pattern: ^(?:0|[1-9]\d{0,4})(?:\.\d{1,6})?$
            minimumSpend:
              type: object
              properties:
                amountCents:
                  type: integer
                  minimum: 0
                  maximum: 99999999
                basis:
                  type: string
                  enum:
                    - eligible_food_beverage_before_discounts
              required:
                - amountCents
                - basis
              additionalProperties: false
            leadTimeHours:
              type: integer
              minimum: 0
              maximum: 8760
          additionalProperties: false
        sources:
          type: object
          additionalProperties:
            type: object
            properties:
              scope:
                type: string
                enum:
                  - location
                  - menu
                  - category
                  - product
              entityId:
                type: string
                minLength: 1
                maxLength: 200
              serviceStyle:
                nullable: true
                type: string
                enum:
                  - pickup
                  - drop_off
                  - drop_off_with_setup
            required:
              - scope
              - entityId
              - serviceStyle
            additionalProperties: false
      required:
        - values
        - sources
      additionalProperties: false
    ConfiguredFoodEvaluation:
      type: object
      properties:
        source:
          oneOf:
            - type: object
              properties:
                menuId:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                locationId:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                channel:
                  type: string
                  enum:
                    - online
                    - catering
                kind:
                  type: string
                  enum:
                    - released
                menuReleaseId:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
              required:
                - menuId
                - locationId
                - channel
                - kind
                - menuReleaseId
              additionalProperties: false
            - type: object
              properties:
                menuId:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                locationId:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                channel:
                  type: string
                  enum:
                    - online
                    - catering
                kind:
                  type: string
                  enum:
                    - draft
                draftRevision:
                  type: integer
                  minimum: 0
                  exclusiveMinimum: true
                  maximum: 9007199254740991
              required:
                - menuId
                - locationId
                - channel
                - kind
                - draftRevision
              additionalProperties: false
        contributions:
          maxItems: 10000
          type: array
          items:
            type: object
            properties:
              entityId:
                type: string
                format: uuid
                pattern: >-
                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
              selectionPath:
                maxItems: 80
                type: array
                items:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
              fraction:
                type: object
                properties:
                  numerator:
                    type: number
                    minimum: 0
                  denominator:
                    type: number
                    minimum: 0
                    exclusiveMinimum: true
                required:
                  - numerator
                  - denominator
                additionalProperties: false
              provenance:
                nullable: true
                oneOf:
                  - type: object
                    properties:
                      kind:
                        type: string
                        enum:
                          - entered
                    required:
                      - kind
                    additionalProperties: false
                  - type: object
                    properties:
                      kind:
                        type: string
                        enum:
                          - provider
                      provider:
                        type: string
                        enum:
                          - square
                          - clover
                          - toast
                      revision:
                        type: string
                        minLength: 1
                        maxLength: 128
                    required:
                      - kind
                      - provider
                      - revision
                    additionalProperties: false
                  - type: object
                    properties:
                      kind:
                        type: string
                        enum:
                          - recipe
                      servingsYield:
                        type: number
                        minimum: 0
                        exclusiveMinimum: true
                      components:
                        minItems: 1
                        maxItems: 100
                        type: array
                        items:
                          type: object
                          properties:
                            entityId:
                              type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            fraction:
                              type: object
                              properties:
                                numerator:
                                  type: number
                                  minimum: 0
                                denominator:
                                  type: number
                                  minimum: 0
                                  exclusiveMinimum: true
                              required:
                                - numerator
                                - denominator
                              additionalProperties: false
                          required:
                            - entityId
                            - fraction
                          additionalProperties: false
                    required:
                      - kind
                      - servingsYield
                      - components
                    additionalProperties: false
              nutrients:
                type: object
                properties:
                  caloriesKcal:
                    nullable: true
                    type: number
                    minimum: 0
                  proteinGrams:
                    nullable: true
                    type: number
                    minimum: 0
                  carbohydrateGrams:
                    nullable: true
                    type: number
                    minimum: 0
                  fatGrams:
                    nullable: true
                    type: number
                    minimum: 0
                  fiberGrams:
                    nullable: true
                    type: number
                    minimum: 0
                  sugarGrams:
                    nullable: true
                    type: number
                    minimum: 0
                  saturatedFatGrams:
                    nullable: true
                    type: number
                    minimum: 0
                  sodiumMilligrams:
                    nullable: true
                    type: number
                    minimum: 0
                required:
                  - caloriesKcal
                  - proteinGrams
                  - carbohydrateGrams
                  - fatGrams
                  - fiberGrams
                  - sugarGrams
                  - saturatedFatGrams
                  - sodiumMilligrams
                additionalProperties: false
            required:
              - entityId
              - selectionPath
              - fraction
              - provenance
              - nutrients
            additionalProperties: false
        serving:
          type: object
          properties:
            label:
              type: string
              minLength: 1
              maxLength: 255
            grams:
              nullable: true
              type: number
              minimum: 0
              exclusiveMinimum: true
          required:
            - label
            - grams
          additionalProperties: false
        quantity:
          type: object
          properties:
            unit:
              type: string
              enum:
                - serving
                - person
                - item
                - dozen
                - tray
                - pack
                - lb
                - oz
                - kg
                - g
                - gallon
                - quart
                - liter
                - ml
                - fl_oz
            count:
              type: number
              minimum: 0
              exclusiveMinimum: true
              maximum: 10000
          required:
            - unit
            - count
          additionalProperties: false
        trayYield:
          nullable: true
          type: object
          properties:
            servingsPerTray:
              type: number
              minimum: 0
              exclusiveMinimum: true
          required:
            - servingsPerTray
          additionalProperties: false
        perServing:
          type: object
          properties:
            caloriesKcal:
              nullable: true
              type: number
              minimum: 0
            proteinGrams:
              nullable: true
              type: number
              minimum: 0
            carbohydrateGrams:
              nullable: true
              type: number
              minimum: 0
            fatGrams:
              nullable: true
              type: number
              minimum: 0
            fiberGrams:
              nullable: true
              type: number
              minimum: 0
            sugarGrams:
              nullable: true
              type: number
              minimum: 0
            saturatedFatGrams:
              nullable: true
              type: number
              minimum: 0
            sodiumMilligrams:
              nullable: true
              type: number
              minimum: 0
          required:
            - caloriesKcal
            - proteinGrams
            - carbohydrateGrams
            - fatGrams
            - fiberGrams
            - sugarGrams
            - saturatedFatGrams
            - sodiumMilligrams
          additionalProperties: false
        perTray:
          nullable: true
          type: object
          properties:
            caloriesKcal:
              nullable: true
              type: number
              minimum: 0
            proteinGrams:
              nullable: true
              type: number
              minimum: 0
            carbohydrateGrams:
              nullable: true
              type: number
              minimum: 0
            fatGrams:
              nullable: true
              type: number
              minimum: 0
            fiberGrams:
              nullable: true
              type: number
              minimum: 0
            sugarGrams:
              nullable: true
              type: number
              minimum: 0
            saturatedFatGrams:
              nullable: true
              type: number
              minimum: 0
            sodiumMilligrams:
              nullable: true
              type: number
              minimum: 0
          required:
            - caloriesKcal
            - proteinGrams
            - carbohydrateGrams
            - fatGrams
            - fiberGrams
            - sugarGrams
            - saturatedFatGrams
            - sodiumMilligrams
          additionalProperties: false
        lineTotal:
          type: object
          properties:
            caloriesKcal:
              nullable: true
              type: number
              minimum: 0
            proteinGrams:
              nullable: true
              type: number
              minimum: 0
            carbohydrateGrams:
              nullable: true
              type: number
              minimum: 0
            fatGrams:
              nullable: true
              type: number
              minimum: 0
            fiberGrams:
              nullable: true
              type: number
              minimum: 0
            sugarGrams:
              nullable: true
              type: number
              minimum: 0
            saturatedFatGrams:
              nullable: true
              type: number
              minimum: 0
            sodiumMilligrams:
              nullable: true
              type: number
              minimum: 0
          required:
            - caloriesKcal
            - proteinGrams
            - carbohydrateGrams
            - fatGrams
            - fiberGrams
            - sugarGrams
            - saturatedFatGrams
            - sodiumMilligrams
          additionalProperties: false
        completeness:
          type: string
          enum:
            - complete
            - partial
            - unknown
        missing:
          maxItems: 10000
          type: array
          items:
            type: object
            properties:
              entityId:
                type: string
                format: uuid
                pattern: >-
                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
              nutrient:
                type: string
                enum:
                  - caloriesKcal
                  - proteinGrams
                  - carbohydrateGrams
                  - fatGrams
                  - fiberGrams
                  - sugarGrams
                  - saturatedFatGrams
                  - sodiumMilligrams
            required:
              - entityId
              - nutrient
            additionalProperties: false
        warnings:
          maxItems: 10000
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                enum:
                  - DIETARY_CONFLICT
                  - ALLERGEN_PRESENT
                  - ALLERGEN_POSSIBLE
                  - DIETARY_INFORMATION_UNKNOWN
              entityId:
                type: string
                format: uuid
                pattern: >-
                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
              preferenceId:
                anyOf:
                  - type: string
                    enum:
                      - vegetarian
                      - vegan
                  - type: string
                    enum:
                      - milk
                      - egg
                      - fish
                      - crustacean_shellfish
                      - tree_nuts
                      - peanut
                      - wheat
                      - soy
                      - sesame
                      - celery
                      - mustard
                      - lupin
                      - molluscs
                      - sulphites
              selectionPath:
                maxItems: 80
                type: array
                items:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            required:
              - code
              - entityId
              - preferenceId
              - selectionPath
            additionalProperties: false
      required:
        - source
        - contributions
        - serving
        - quantity
        - trayYield
        - perServing
        - perTray
        - lineTotal
        - completeness
        - missing
        - warnings
      additionalProperties: false
    CateringPresentationChoiceGroup:
      type: object
      properties:
        name:
          type: string
          minLength: 1
        options:
          minItems: 1
          maxItems: 200
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                minLength: 1
              quantity:
                type: integer
                minimum: 0
                exclusiveMinimum: true
                maximum: 99
              children:
                maxItems: 50
                type: array
                items:
                  $ref: '#/components/schemas/CateringPresentationChoiceGroup'
            required:
              - name
              - quantity
              - children
            additionalProperties: false
      required:
        - name
        - options
      additionalProperties: false
    CateringBalanceOffer:
      type: object
      properties:
        quoteId:
          type: string
          minLength: 1
          maxLength: 128
        financialAdjustmentId:
          type: string
          minLength: 1
          maxLength: 128
        kind:
          type: string
          enum:
            - balance
        amount:
          type: string
          pattern: ^-?\d+(?:\.\d+)?$
        tax:
          type: string
          pattern: ^-?\d+(?:\.\d+)?$
        serviceFee:
          type: string
          pattern: ^-?\d+(?:\.\d+)?$
        total:
          type: string
          pattern: ^-?\d+(?:\.\d+)?$
        currency:
          type: string
          minLength: 1
        dueAt:
          nullable: true
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
        expiresAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
        offerFingerprint:
          type: string
          minLength: 1
      required:
        - quoteId
        - kind
        - amount
        - tax
        - serviceFee
        - total
        - currency
        - dueAt
        - expiresAt
        - offerFingerprint
      additionalProperties: false
  securitySchemes:
    StorefrontCateringCapability:
      type: apiKey
      in: header
      name: X-Catering-Token
      description: >-
        Event and location scoped customer catering capability. Never place in
        query parameters.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.